#
# kl-scripts version 1.8
#
# kl-scripts $Id: fvwmrc.m4,v 1.16 2000/12/02 13:26:35 knight Exp $
#

#
# .fvwmrc -- fvwm configuration
#

#
# .fvwmrc -- by Tony Sanders (somewhat uwm like)
#
# The correct order for configuration data is:
# 1. Desktop Colors and Fonts.
# 2. Desktop Configuration / Focus / Icons / Windows / MWM Emulation
# 3. Path Configuration (ModulePath, PixmapPath, IconPath)
# 4. Style Settings
# 5. INIT Function Definitions (InitFunction and ResetFunction)
# 6. Function Definitions.  Functions cannot be forward referenced.
# 7. Menu Definitions.  Menus cannot be forward referenced.
# 8. Key and Mouse Bindings.
# 9. Module options.
# [5, 6, and 7 can be in any order]

######################################################################
###  1.  Desktop Colors and Fonts  ###################################
######################################################################
# Some nice colors for backgrounds:
#     #60c0a0 #a4988e #c06077 #908090
#     grey RosyBrown MediumSeaGreen PeachPuff3
# inactive window text & decorations
Style "*"	Color #ffd700/black

# active window title text & decorations
HiForeColor	black
HiBackColor	#ffd700

# sticky windows text & decorations
StickyForeColor	black
StickyBackColor	#a4988e

# menu text, background, and inactive menu area
MenuForeColor	black
MenuBackColor	#60c0a0
MenuStippleColor SlateGrey

# pager active and inactive areas
PagerForeColor	Grey
PagerBackColor	#908090

Font		-adobe-helvetica-bold-r-normal--*-100-*-*-*-*-*-*
WindowFont	-adobe-helvetica-bold-r-normal--*-100-*-*-*-*-*-*
IconFont	-adobe-helvetica-bold-r-normal--*-100-*-*-*-*-*-*
PagerFont	-adobe-helvetica-bold-r-normal--*-80-*-*-*-*-*-*


######################################################################
###  2.  Desktop Configuration  ######################################
######################################################################
DeskTopSize	3x2			# width x height in screens
DeskTopScale	24			# scale size for pager
Pager		-1 -1			# built-in pager location
EdgeScroll	100 100			# in percent of screen size
EdgeResistance	350 16			# [delay_in_milliseconds pixels]
ClickTime	125			# milliseconds
#Cursor  cursor_num cursor_type
#CenterOnCirculate

###  FOCUS
#ClickToFocus				# default: focus follows pointer
#AutoRaise	750			# auto raise delay in milliseconds
SloppyFocus				# lazy focus

###  ICONS
IconBox 150 -64 -600 -1			# left top right bottom
CirculateSkipIcons
#StickyIcons				# icons follow you around
#StubbornIcons				# de-iconify to prev position
StubbornIconPlacement			# don't hide under windows
#SuppressIcons				# so you can just use the window list

###  WINDOW PLACEMENT
#DontMoveOff				# disallow placement off screen
#SmartPlacement				# don't overlap windows
StubbornPlacement			# don't hide icons
#RandomPlacement				# if all that fails, do whatever
NoPPosition				# ignore PPosition data

###  WINDOW DECORATIONS
DecorateTransients
BoundaryWidth	5			# boundary width on decorated windows
NoBoundaryWidth	2			# boundary width on window w/o title
OpaqueMove	100			# I have a really fast video system

###  MWM EMULATION
# Some applications depend on MWMFunctionHints and MWMDecorHints
MWMFunctionHints
MWMDecorHints
MWMHintOverride				# to allow iconification of all windows
MWMMenus
MWMBorders
MWMButtons


######################################################################
###  3.  Path Configuration  #########################################
######################################################################
ModulePath /usr/X11/lib/X11/fvwm
PixmapPath /usr/X11/`include'/X11/pixmaps/
IconPath   /usr/X11/`include'/X11/bitmaps/


######################################################################
###  4.  Application Styles  #########################################
######################################################################
# BorderWidth, HandleWidth, Icon/NoIcon, NoTitle/Title, NoHandles/Handles,
# WindowListSkip/WindowListHit, CirculateSkip/CirculateHit,
# StaysOnTop/StaysPut, Sticky/Slippery, StartIconic/StartNormal,
# Color, ForeColor, BackColor, StartsOnDesk/StartsAnyWhere.
Style "*"           BorderWidth 5, HandleWidth 5, Icon unknown1.xpm

Style "Fvwm*"       NoTitle, NoHandles, Sticky, WindowListSkip, BorderWidth 0
Style "Fvwm Pager"  StaysOnTop, CirculateSkip
Style "FvwmFileMgr" Title, Handles, Slippery, CirculateSkip
Style "FvwmFileMgr" Icon dir.xpm
Style "FvwmBanner"  StaysOnTop
Style "GoodStuff"   NoTitle, NoHandles,         WindowListSkip, BorderWidth 0
Style "GoodStuff"   Icon toolbox.xpm, CirculateSkip
# Style "Fastdoc"     NoTitle, NoHandles,         WindowListSkip, BorderWidth 0
# Style "Fastdoc"     Icon toolbox.xpm, CirculateSkip
# Style "Quiktool"    NoTitle, NoHandles, Sticky, WindowListSkip, BorderWidth 0
# Style "Quiktool"    Icon toolbox.xpm, CirculateSkip
Style "XBiff"       NoTitle, NoHandles, Sticky, WindowListSkip, BorderWidth 0
Style "XBiff"       Icon mail1.xpm, CirculateSkip
Style "*lock"       NoTitle, NoHandles, Sticky, WindowListSkip
Style "Clock"       NoTitle, NoHandles, Sticky, WindowListSkip, BorderWidth 0
Style "XClock"      NoTitle, NoHandles, Sticky, WindowListSkip, BorderWidth 0
Style "XLoad"       NoTitle, NoHandles, Sticky, WindowListSkip, BorderWidth 0

# Style "XTerm"       NoTitle, NoHandles, BorderWidth 2, Icon xterm.xpm
Style "XTerm"       NoHandles, BorderWidth 2, Icon xterm.xpm

Style "Console"     NoTitle, NoHandles, Sticky, CirculateSkip, BorderWidth 0

Style "xcalc"       Icon xcalc.xpm, CirculateSkip
Style "xmh"         Icon mail1.xpm
Style "xman"        Icon xman.xpm, CirculateSkip
Style "xrn"	    Icon news.xpm, CirculateSkip
Style "news"	    Icon news.xpm, CirculateSkip
Style "Xarchie"     Icon xarchie.xpm, CirculateSkip
Style "xpostit"     Icon postit.xpm, CirculateSkip
Style "xpaint"      Icon pixmap.xpm, CirculateSkip
Style "emacs"	    Icon emacs.xpm, CirculateSkip
Style "xmix"	    Icon viola.xpm, CirculateSkip
Style "viola"	    Icon viola.xpm

Style "Netscape"    NoHandles, BorderWidth 0

Style "Mosaic"      Icon mosaic-s.xpm
#Style "Mosaic"     Icon world.xbm
Style "Ghostview"   Icon arthur.xpm, CirculateSkip
#Style "Ghostview"  Icon words.xbm, CirculateSkip
Style "Bitmap"      Icon pixmap.xpm, CirculateSkip
#Style "Bitmap"     Icon bitmap.xbm, CirculateSkip
Style "Xman"	    Icon xman.xpm, CirculateSkip
#Style "Xman"	    Icon manpage.xbm, CirculateSkip
Style "Xgopher"     Icon xgopher.xpm, CirculateSkip
#Style "Xgopher"    Icon gopher.xbm, CirculateSkip
Style "Xedit"	    Icon xedit.xpm, CirculateSkip
#Style "Xedit"	    Icon page.xbm, CirculateSkip
Style "XMag"        Icon mag_glass.xpm, CirculateSkip
#Style "XMag"       Icon magnifier.xbm, CirculateSkip

Style "Maker"       StartsOnDesk 1
Style "Appointment" Icon datebook.xpm, CirculateSkip
Style "Fig"	    Icon fig.xbm, CirculateSkip
Style "Gnuplot"     Icon graph.xbm, CirculateSkip
Style "MOTD"	    Icon info.xbm, CirculateSkip
Style "Ups"	    Icon roach.xbm, CirculateSkip
Style "XCalc"	    Icon calculator.xbm, CirculateSkip
Style "XConsole"    Icon terminal.xbm, CirculateSkip
Style "XVed"	    Icon page.xbm, CirculateSkip
Style "nethack"     Icon wizard.xbm, CirculateSkip
Style "xdbx"	    Icon roach.xbm, CirculateSkip
Style "xv"	    Icon xv.xbm, CirculateSkip


######################################################################
###  5.  INIT Functions  #############################################
######################################################################
Function "InitFunction"
#	Module	"I"	Quiktool
#	Wait	"I"	Quiktool
#	Module	"I"	GoodStuff
#	Wait	"I"	GoodStuff
#	Module	"I"	Fastdoc
#	Wait	"I"	Fastdoc
#	GotoPage "I"	0 1
#	Module	"I"	FvwmFileMgr
#	Wait	"I"	FvwmFileMgr
#	GotoPage "I"	0 0
#	Module	"I"	FvwmPager 0 3
EndFunction

Function "RestartFunction"
#	Module	"I"	Quiktool
#	Wait	"I"	Quiktool
#	Module	"I"	GoodStuff
#	Wait	"I"	GoodStuff
#	Module	"I"	Fastdoc
#	Wait	"I"	Fastdoc
#	GotoPage "I"	0 1
#	Module	"I"	FvwmFileMgr
#	Wait	"I"	FvwmFileMgr
#	GotoPage "I"	0 0
#	Module	"I"	FvwmPager 0 3
EndFunction


######################################################################
###  6.  Function Definitions  #######################################
######################################################################
Function "move-or-raise"
	Move		"Motion"
	Raise		"Click"
	RaiseLower	"DoubleClick"
EndFunction

Function "move-or-lower"
	Move		"Motion"
	Lower		"Click"
	RaiseLower	"DoubleClick"
EndFunction

Function "resize-or-lower"
	Resize		"Motion"
	Lower		"Click"
	RaiseLower	"DoubleClick"
EndFunction

Function "move-or-iconify"
	Move		"Motion"
	Iconify		"Click"
	Iconify		"DoubleClick"
EndFunction


######################################################################
###  7.  Menus Definitions  ##########################################
######################################################################

define(`NOT_CEIRT', ifelse(HOSTNAME, `ceirt.pair.com', , $*))dnl
define(`NOT_LEPEN', ifelse(HOSTNAME, `lepen.pair.com', , $*))dnl
define(`HOME_SYSTEM', ifelse(HOSTNAME, `knight.static.visi.com', $*, ))dnl
define(`NOT_HOME_SYSTEM', ifelse(HOSTNAME, `knight.static.visi.com', , $*))dnl
define(`NOT_VISI', ifelse(HOSTNAME, `shell.visi.com', , $*))dnl

Popup "Backgrounds"

  Title	" -- Local --	"

	Exec "xterm"		xterm
	Exec "topleft"		xterm -name topleft
	Exec "topright"		xterm -name topright
	Exec "bigxterm"		xterm -name bigxterm
	Exec "smallxterm"	xterm -name smallxterm
	Exec "bigfontxterm"	xterm -name bigfontxterm

  Nop	""
  Title	" -- Other Systems -- "
  NOT_HOME_SYSTEM(`	Exec "theopera"		xterm -title theopera -e telnet theopera.baldmt.citilink.com')
  NOT_CEIRT(`	Exec "ceirt.pair.com"	xterm -title ceirt.pair.com -e ssh1 ceirt.pair.com')
  NOT_CEIRT(`	Exec "roseense@lepen.pair.com"	xterm -title roseense@lepen.pair.com -e ssh1 -l roseense lepen.pair.com')
  NOT_VISI(`	Exec "visi.com"	xterm -title visi.com -e telnet shell.visi.com')
  HOME_SYSTEM(`	Exec "Twin95"	vmware /a/vmware/win95/twin95.cfg')

  Nop	""
  Title	" -- Applications -- "
	Exec "bc"               xterm -title bc -geometry 80x6 -e bc
  HOME_SYSTEM(`	Exec "xcalc"            xcalc')
  HOME_SYSTEM(`	Exec "mailscreen"	mailscreen')
  HOME_SYSTEM(`	Exec "pine"	xterm -title pine -e pine')
  HOME_SYSTEM(`	Exec "pinger (60)"	xterm -title "pinger (60)" -geometry 80x4 -e ping -i 60 isis.visi.com')
  HOME_SYSTEM(`	Exec "pilot update"     xterm -title "pilot update" -e pilot-xfer -u Pilot.Backup')
  HOME_SYSTEM(`	Exec "pilot backup"     xterm -title "pilot backup" -e pilot-xfer -b Pilot.Backup')
	Exec "netscape"		netscape
	Exec "xlock"		xlock

EndPopup

Popup "WindowOps"
  Title		"WindowOps	"
    Iconify	"Iconify	"
    Move	"Move	"
    Resize	"Resize	"
    Raise	"Raise	"
    Lower	"Lower	"
    Stick	"Sticky	"
    Module	"Identify	" FvwmIdent
    Refresh	"Refresh	"
    Nop		""
    Delete	"Delete (nicer)	"
    Destroy	"Destroy	"
EndPopup

Popup "Control"
  Title		"Control Panel	"
    Exec	"New Window	"	xterm
    Module	"FvwmFileMgr	"	FvwmFileMgr
    Popup	"Backgrounds...	"	Backgrounds
    Nop		""
    Exec	"Load .Xres	"	/home/knight/.xloadres
    WindowList	"Windows...	"
    Popup	"WindowOps...	"	WindowOps
    Nop		""
    Refresh	"Refresh	"
    Delete	"Delete (nicer)	"
    Destroy	"Destroy	"
    Nop		""
    Restart	"Restart WM	" 	fvwm
    Quit	"Quit	"
EndPopup



######################################################################
###  8.  Key and Mouse Bindings  #####################################
######################################################################
# NOTES:
#buttons:	0-any, 1 2 3
#contexts:	Root Window Title Side Frame Icon 0-9[title buttons] Any
#modifiers:	None Control Shift Meta Any
#keynames:	/usr/X11/include/X11/keysymdef.h (minus the leading ``XK_'')
#title buttons are numbered [1 3 5 7 9  title  0 8 6 4 2]
#binding a key to a title-bar button requires a mouse binding also.

#
#Key	keyname	context	modifiers function
#------ ------- ------- --------- ------------------
Key	Left	A	M	  CirculateUp
Key	Right	A	M	  CirculateDown
Key	F1	A	N	  CirculateUp "xterm" xterm
Key	F2	A	N	  CirculateUp "Mosaic" Mosaic
Key	F12	A	CM	  Restart "Restart WM	" fvwm

#Key	Left	R	N	  Scroll -600 +0
#Key	Right	R	N	  Scroll +600 +0
#Key	Up	R	N	  Scroll +0 -600
#Key	Down	R	N	  Scroll +0 +600
#Key	Left	A	C	  Scroll -600 +0
#Key	Right	A	C	  Scroll +600 +0
#Key	Up	A	C	  Scroll +0 -600
#Key	Down	A	C	  Scroll +0 +600


#
#Mouse	button	context	modifiers function
#------ ------- ------- --------- -------------------
Mouse	1	R	A	  Popup "Backgrounds"
Mouse	2	R	A	  Popup "WindowOps"
Mouse	3	R	A	  Popup "Control"

#OLD#Mouse	1	I	N	  Iconify
#OLD#Mouse	2	I	N	  Function "move-or-iconify"
#OLD#Mouse	3	I	N	  Popup "WindowOps"

Mouse	1	WITSF	M	  Raise
Mouse	2	WITSF	M	  Function "move-or-iconify"
Mouse	3	WITSF	M	  Popup "WindowOps"

#Mouse	1	A	CS	  Raise
#Mouse	3	A	CS	  Lower

#Mouse	1	A	M	  Function "move-or-raise"
#Mouse	2	A	M	  Iconify
#Mouse	3	A	M	  Function "resize-or-lower"

#Mouse	1	TS	N	  Function "move-or-raise"
#Mouse	2	TSI	N	  Move
#Mouse	3	TSI	N	  Function "resize-or-lower"

Mouse	1	I	N	  Function "move-or-iconify"
Mouse	1	T	N	  Function "move-or-raise"
Mouse	1	S	N	  Function "resize-or-lower"
Mouse	1	F	N	  Resize
Mouse	2	ITSF	N	  Move
Mouse	3	ITSF	N	  Popup "WindowOps"

Mouse	1	A	CM	  Delete
Mouse	2	A	CM	  Destroy

## Shame on me, but I iconify more than I use WindowOps...
#Mouse	1	1    	N      	  Iconify
#Mouse	2	1    	N      	  PopUp "WindowOps"
#Mouse	3	1    	N      	  PopUp "WindowOps"
#
#Mouse	1	2    	N     	  Iconify
#Mouse	2	2    	N     	  PopUp "WindowOps"
#Mouse	3	2    	N     	  PopUp "WindowOps"
#
#Mouse	1	3    	N      	  Iconify
#Mouse	2	3    	N      	  PopUp "WindowOps"
#Mouse	3	3    	N      	  PopUp "WindowOps"
#
#Mouse	1	4    	N     	  Iconify
#Mouse	2	4    	N     	  PopUp "WindowOps"
#Mouse	3	4    	N     	  PopUp "WindowOps"
#
#Mouse	1	5    	N      	  Iconify
#Mouse	2	5    	N      	  PopUp "WindowOps"
#Mouse	3	5    	N      	  PopUp "WindowOps"
#
#Mouse	1	6    	N     	  Iconify
#Mouse	2	6    	N     	  PopUp "WindowOps"
#Mouse	3	6    	N     	  PopUp "WindowOps"
#
#Mouse	1	7    	N      	  Iconify
#Mouse	2	7    	N      	  PopUp "WindowOps"
#Mouse	3	7    	N      	  PopUp "WindowOps"
#
#Mouse	1	8    	N     	  Iconify
#Mouse	2	8    	N     	  PopUp "WindowOps"
#Mouse	3	8    	N     	  PopUp "WindowOps"

#Mouse	1	3    	N     	  Iconify
#Mouse	1	4    	N     	  Iconify
#Mouse	1	5    	N     	  Iconify
#Mouse	1	6    	N     	  Iconify
#Mouse	1	7    	N     	  Iconify
#Mouse	1	8    	N     	  Iconify
#Mouse	1	9    	N     	  Iconify
#Mouse	1	0    	N     	  Iconify


######################################################################
###  9.  Module Options  #############################################
######################################################################

###################### GoodStuff button-bar ################################
# Colors
*GoodStuffFore Black
*GoodStuffBack #908090

# Font
*GoodStuffFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
# Geometry - really likes to pick its own size, but giving a position is OK
*GoodStuffGeometry -2-2

# Layout: specify rows or columns, not both
*GoodStuffColumns 1

*GoodStuff(4x1) - whatever SwallowModule "FvwmPager" FvwmPager 0 3

# Define the buttons to use.....

# xterm or rxvts on remote machines can be done like this
# Output re-direction is csh style, not sh style
# You will want to substitute your own hosts here!
# *GoodStuff Local   rterm.xpm Exec "Local" daemon xterm -T Local

*GoodStuff mickey  rterm.xpm Exec "Mickey" xterm -T mickey
*GoodStuff wombat  rterm.xpm Exec "Wombat" xterm -T wombat -e rsh wombat

# *GoodStuff Mosaic  mosaic-s.xpm Exec "Mosaic" daemon Mosaic

#*GoodStuff News    news.xpm     Exec "news" daemon xterm -T news -e rtin
# *GoodStuff Xcalc   rcalc.xpm   Exec "Calculator" daemon xcalc
#*GoodStuff mail   mail2.xpm   Exec "xmh" daemon xmh
# *GoodStuff incmail mail2.xpm   Exec "" daemon - inc
# *GoodStuff Kerberos rbomb.xpm  Exec "kerberos" xterm -geometry 35x6+400+300 -T kerberos -e skinit
# *GoodStuff Paging  clamp.xpm   TogglePage


######################### No Clutter ########################################
# I only wrote NoClutter as a simple test case, but maybe some big sites like
# universities really have usage problems (too many open windows)....
# Time delays are in seconds.
*FvwmNoClutter 3600 Iconify 1
*FvwmNoClutter 86400 Delete
*FvwmNoCLutter 172800 Destroy


########################## Window-Identifier ###############################
# Just choose colors and a fonts
*FvwmIdentFore black
*FvwmIdentBack #c06077
*FvwmIdentFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*


########################### Pager #########################################
*FvwmPagerFore #484048
*FvwmPagerBack #908090
*FvwmPagerFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*FvwmPagerHilight #cab3ca
*FvwmPagerGeometry -1-1
*FvwmPagerLabel 0 WorkSpace
*FvwmPagerSmallFont -adobe-helvetica-bold-r-normal--*-80-*-*-*-*-*-*


##########################FvwmWinList##################################
*FvwmWinListFore Black
*FvwmWinListBack #908090
*FvwmWinListFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*FvwmWinListAction Click1 Iconify -1,Focus
*FvwmWinListAction Click2 Iconify
*FvwmWinListAction Click3 Module "FvwmIdent" FvwmIdent
*FvwmWinListUseSkipList
*FvwmWinListGeometry +0-1


###################### QuikTool (aka GoodStuff) button-bar ##################
# *QuiktoolFore Black
# *QuiktoolBack #908090
# *QuiktoolFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
# *QuiktoolGeometry +960+2
# *QuiktoolColumns 1
# *Quiktool xclock  clock.xpm   Swallow "xclock" daemon xclock -bg \#908090 -geometry -1500-1500 -padding 0
# *Quiktool xbiff   mail2.xpm   Swallow "xbiff" daemon xbiff -fg black -bg \#908090 -geometry +0+0 -file $MAILPATH -update 15 -bw 0 -xrm '*flip: false'
# *Quiktool News    news.xpm     Exec "news" daemon xterm -T news -e rtin


###################### Fastdoc (aka GoodStuff) button-bar ##################
# *FastdocFore Black
# *FastdocBack #908090
# *FastdocFont -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
#*FastdocGeometry +1996-2
# *FastdocGeometry +1975-2
# *FastdocColumns 1
# *Fastdoc Movies movie.xpm Exec "" daemon disp_url http://www.quadralay.com/www/Austin/AustinMovies/movie-listings.html
# *Fastdoc HTML mosaic-s.xpm Exec "" daemon disp_url http://info.cern.ch/wit/hypertext/WWW/MarkUp
# *Fastdoc BSDI bsd-daemon-s.xpm Exec "" daemon disp_url http://www.bsdi.com/
# *Fastdoc Mosaic mosaic-s.xpm Exec "Mosaic" daemon Mosaic


###################### FvwmFileMgr ######################
*FvwmFileMgrFore Black
*FvwmFileMgrBack #908090
*FvwmFileMgrFont -adobe-helvetica-bold-r-normal--*-80-*-*-*-*-*-*
#*FvwmFileMgrGeometry 800x540+159+875
